Bug 812221 - object-strorage: srpms installation failure
object-strorage: srpms installation failure
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: object-storage (Show other bugs)
pre-release
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Junaid
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-04-13 03:00 EDT by Saurabh
Modified: 2016-01-19 01:10 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:46:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa38 and gluster-swift-plugin-1.0
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2012-04-13 03:00:37 EDT
Description of problem:
installing the srpms is failing 

with this message,
[root@QA-91 ~]# cd swift/
[root@QA-91 swift]# ls
swift-1.4.8-1.src.rpm  swift-plugin-1.0-1.src.rpm
[root@QA-91 swift]# rpm -i swift-1.4.8-1.src.rpm 
warning: user makerpm does not exist - using root
warning: group makerpm does not exist - using root
warning: user makerpm does not exist - using root
warning: group makerpm does not exist - using root
[root@QA-91 swift]# rpm -i swift-plugin-1.0-1.src.rpm 
warning: user makerpm does not exist - using root
warning: group makerpm does not exist - using root
warning: user makerpm does not exist - using root
warning: group makerpm does not exist - using root
[root@QA-91 swift]# 



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. execute the rpm -i <.rpm>
2.
3.
  
Actual results:
the failure while installing the rpms

Expected results:
the installation should happen without the above mentioned errors

Additional info:
Comment 1 Junaid 2012-04-13 03:24:26 EDT
Building rpm's with root as user fixes the problem.
Comment 2 Saurabh 2012-04-13 04:08:18 EDT
[root@QA-92 swift]# 
[root@QA-92 swift]# rpm -i swift-1.4.8-1.src.rpm 
warning: user makerpm does not exist - using root
warning: group makerpm does not exist - using root
[root@QA-92 swift]# rpm -i swift-plugin-1.0-1.src.rpm 
warning: user makerpm does not exist - using root
warning: group makerpm does not exist - using root
Comment 3 Junaid 2012-04-13 05:01:58 EDT
Even though I built the rpm's as root, the files beneath still had user as makerpm. I have changed the owner as root now. It should work.
Comment 4 Saurabh 2012-04-24 07:42:20 EDT
works this time without issues,


[root@QA-91 ~]# ls -R rpmbuild/
rpmbuild/:
SOURCES  SPECS

rpmbuild/SOURCES:
gluster.patch                 gluster-swift-functions            gluster-swift-proxy.init       openstack-swift-nonet.patch
gluster-swift-account.init    gluster-swift-object.init          openstack-swift-docmod.patch   swift-1.4.8.tar.gz
gluster-swift-container.init  gluster-swift-plugin-1.0-1.tar.gz  openstack-swift-newdeps.patch

rpmbuild/SPECS:
gluster-swift-plugin.spec  gluster-swift.spec
[root@QA-91 ~]#

Note You need to log in before you can comment on or make changes to this bug.